package com.inspect.patrol.domain;

import lombok.Getter;

import java.io.Serializable;

@Getter
public class RealTimeModel implements Serializable {
    private String patrolDeviceCode;
    private String channelCode;
    private String serial;
    private String code;

    public void setPatrolDeviceCode(String patrolDeviceCode) {
        this.serial = this.patrolDeviceCode = patrolDeviceCode;
    }

    public void setChannelCode(String channelCode) {
        this.code = this.channelCode = channelCode;
    }

    public void setSerial(String serial) {
        this.serial = serial;
    }

    public void setCode(String code) {
        this.code = code;
    }
}
